Loading...
Searching...
No Matches
EST_UtteranceFile Class Reference
Collaboration diagram for EST_UtteranceFile:
[legend]

## Public Types

typedef EST_read_status | Load_TokenStream(LoadUtterance_TokenStreamArgs)
typedef EST_write_status | Save_TokenStream(SaveUtterance_TokenStreamArgs)

## Static Public Member Functions

static EST_write_status | save_est_ascii (SaveUtterance_TokenStreamArgs)
static EST_read_status | load_est_ascii (LoadUtterance_TokenStreamArgs)
static EST_write_status | save_xlabel (SaveUtterance_TokenStreamArgs)
static EST_read_status | load_xlabel (LoadUtterance_TokenStreamArgs)
static EST_write_status | save_genxml (SaveUtterance_TokenStreamArgs)
static EST_read_status | load_genxml (LoadUtterance_TokenStreamArgs)
static EST_read_status | load_apml (LoadUtterance_TokenStreamArgs)
static EST_String | options_supported (void)
static EST_String | options_short (void)

## Static Public Attributes

static EST_TNamedEnumI< EST_UtteranceFileType, Info > | map

## Detailed Description

Definition at line 61 of file EST_UtteranceFile.h.

## Member Typedef Documentation

## Load_TokenStream

typedef EST_read_status EST_UtteranceFile::Load_TokenStream(LoadUtterance_TokenStreamArgs)

Definition at line 75 of file EST_UtteranceFile.h.

## Save_TokenStream

typedef EST_write_status EST_UtteranceFile::Save_TokenStream(SaveUtterance_TokenStreamArgs)

Definition at line 77 of file EST_UtteranceFile.h.

## Member Function Documentation

## save_est_ascii()

EST_write_status EST_UtteranceFile::save_est_ascii | ( | SaveUtterance_TokenStreamArgs |  | ) |

static

Definition at line 250 of file EST_UtteranceFile.cc.

## load_est_ascii()

EST_read_status EST_UtteranceFile::load_est_ascii | ( | LoadUtterance_TokenStreamArgs |  | ) |

static

Definition at line 81 of file EST_UtteranceFile.cc.

## save_xlabel()

EST_write_status EST_UtteranceFile::save_xlabel | ( | SaveUtterance_TokenStreamArgs |  | ) |

static

Definition at line 373 of file EST_UtteranceFile.cc.

## load_xlabel()

EST_read_status EST_UtteranceFile::load_xlabel | ( | LoadUtterance_TokenStreamArgs |  | ) |

static

Definition at line 347 of file EST_UtteranceFile.cc.

## options_supported()

EST_String EST_UtteranceFile::options_supported | ( | void |  | ) |

static

Definition at line 594 of file EST_UtteranceFile.cc.

## options_short()

EST_String EST_UtteranceFile::options_short | ( | void |  | ) |

static

Definition at line 569 of file EST_UtteranceFile.cc.

## Member Data Documentation

## map

EST_TNamedEnumI<EST_UtteranceFileType, Info> EST_UtteranceFile::map

static

Definition at line 97 of file EST_UtteranceFile.h.

The documentation for this class was generated from the following files:

- ling_class/EST_UtteranceFile.h
- ling_class/EST_UtteranceFile.cc